[Pkg-alsa-devel] [Debian ALSA CVS] debian/alsa-utils/debian/patches (3 files)

Thomas Hood jdthood-guest@haydn.debian.org
Mon, 06 Sep 2004 14:26:14 -0600


    Date: Monday, September 6, 2004 @ 14:26:14
  Author: jdthood-guest
    Path: /cvsroot/pkg-alsa/debian/alsa-utils/debian/patches

   Added: 90_debian_alsaconf_paths.dpatch
Modified: 00list
 Removed: 90_debian_alsaconf.dpatch

Rename 90_debian_alsaconf to 90_debian_alsaconf_paths


---------------------------------+
 00list                          |    2 
 90_debian_alsaconf.dpatch       |   85 -----------------------------------
 90_debian_alsaconf_paths.dpatch |   92 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 93 insertions(+), 86 deletions(-)


Index: debian/alsa-utils/debian/patches/00list
diff -u debian/alsa-utils/debian/patches/00list:1.7 debian/alsa-utils/debian/patches/00list:1.8
--- debian/alsa-utils/debian/patches/00list:1.7	Mon Sep  6 14:23:18 2004
+++ debian/alsa-utils/debian/patches/00list	Mon Sep  6 14:26:14 2004
@@ -1,6 +1,6 @@
 10_move_asound_state_to_var
 20_alsaconf_lspci
-90_debian_alsaconf
+90_debian_alsaconf_paths
 90_debian_alsaconf_idmode
 90_debian_alsaconf_cfgfile
 91_debian_alsaconf_noclear
Index: debian/alsa-utils/debian/patches/90_debian_alsaconf.dpatch
diff -u debian/alsa-utils/debian/patches/90_debian_alsaconf.dpatch:1.7 debian/alsa-utils/debian/patches/90_debian_alsaconf.dpatch:removed
--- debian/alsa-utils/debian/patches/90_debian_alsaconf.dpatch:1.7	Mon Sep  6 14:23:18 2004
+++ debian/alsa-utils/debian/patches/90_debian_alsaconf.dpatch	Mon Sep  6 14:26:14 2004
@@ -1,99 +0,0 @@
-#!/bin/sh -e
-## 90_debian_alsaconf.dpatch by Jordi Mallach <jordi@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Set Debian-specific GID and permissions for ALSA devices.
-## DP: Use hardcoded paths for lspci and lsmod
-## DP: Write the configuration in the correct location.
-
-
-if [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-
-[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
-patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
-
-case "$1" in
-       -patch) patch $patch_opts -p1 < $0;;
-       -unpatch) patch $patch_opts -p1 -R < $0;;
-        *)
-                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-                exit 1;;
-esac
-
-exit 0
-
-@DPATCH@
-diff -urNad /home/jdthood/src/pkg-alsa/debian/alsa-utils/alsaconf/alsaconf.in alsa-utils/alsaconf/alsaconf.in
---- /home/jdthood/src/pkg-alsa/debian/alsa-utils/alsaconf/alsaconf.in	2004-09-06 22:14:13.000000000 +0200
-+++ alsa-utils/alsaconf/alsaconf.in	2004-09-06 22:14:53.000000000 +0200
-@@ -40,13 +40,6 @@
-   distribution="unknown"
- fi
- 
--for prog in lspci lsmod; do
--	for path in /sbin /usr/sbin /bin /usr/bin;do
--		[[ -x $path/$prog ]] && eval $prog=$path/$prog
--	done
--done
--unset prog path
--
- usage() {
-     echo "ALSA configurator version $version"
-     echo "usage: alsaconf [options]"
-@@ -506,7 +499,7 @@
- /^[<literal space><literal tab>]*PCI: /{
- 	gsub(/0x/, "");
- 	gsub(/=/, ":");
--	x = sprintf ("'$lspci' -n 2>/dev/null| grep '"' 0401: '"' | grep %s", $2);
-+	x = sprintf ("'/usr/bin/lspci' -n | grep '"' 0401: '"' | grep %s", $2);
- 	if (system (x) == 0)
- 		printf "%s %s\n", $2, driver >>"'"$FOUND"'"
- }
-@@ -537,7 +530,7 @@
- #
- find_device_name () {
-     if expr "$1" : '[0-9a-f][0-9a-f][0-9a-f][0-9a-f]:[0-9a-f][0-9a-f][0-9a-f][0-9a-f]' >/dev/null; then
--	$lspci -d $1 2>/dev/null| sed -e 's/^.*:..\.. Multimedia audio controller: //g'
-+	/usr/bin/lspci -d $1 2>/dev/null| sed -e 's/^.*:..\.. Multimedia audio controller: //g'
- 	return
-     elif expr "$1" : '[A-Z@][A-Z@][A-Z@][0-9a-f][0-9a-f][0-9a-f][0-9a-f]' >/dev/null; then
- 	cardname=`grep '^Card [0-9]\+ '\'$1':' $DUMP | head -n 1 | sed -e 's/^Card [0-9]\+ '\''.*:\(.*\)'\'' .*$/\1/'`
-@@ -735,7 +728,7 @@
- ac_try_load () {
-     test $do_logging = 1 && echo "$1 ${*:2}" >> $LOGFILE
-     /sbin/modprobe snd-$1 ${*:2} >/dev/null 2>&1
--    if $lsmod | grep -E '^(snd-|snd_)'$1' ' >/dev/null 2>&1; then
-+    if /bin/lsmod | grep -E '^(snd-|snd_)'$1' ' >/dev/null 2>&1; then
- 	: ;
-     else
- 	modprobe -r snd-$1 >/dev/null 2>&1
-@@ -774,7 +767,7 @@
- ac_try_capture () {
-     test $do_logging = 1 && echo "$1 ${*:2}" >> $LOGFILE
-     /sbin/modprobe snd-$1 ${*:3} >/dev/null 2>&1
--    if $lsmod | grep -E '^(snd-|snd_)'$1' ' >/dev/null 2>&1; then
-+    if /bin/lsmod | grep -E '^(snd-|snd_)'$1' ' >/dev/null 2>&1; then
- 	: ;
-     else
- 	modprobe -r snd-$1 >/dev/null 2>&1
-@@ -1130,7 +1123,7 @@
-     # check for TP600E
-     #
-     if [ ${devs_found[0]} = cs46xx ]; then
--	if $lspci -nv 2>/dev/null| grep -q "Subsystem: 1014:1010"; then
-+	if /usr/bin/lspci -nv 2>/dev/null| grep -q "Subsystem: 1014:1010"; then
- 	    if $DIALOG --yesno "
-  Looks like you having a Thinkpad 600E or 770 notebook.
-  On this notebook, CS4236 driver should be used
-@@ -1143,7 +1136,7 @@
- 		ac_config_legacy cs4236
- 		exit 0
- 	    fi
--	elif $lspci -nv 2>/dev/null| grep -q "Subsystem: 8086:8080"; then
-+	elif /usr/bin/lspci -nv 2>/dev/null| grep -q "Subsystem: 8086:8080"; then
- 	    if $DIALOG --yesno "
-  Looks like you having a Dell Dimension machine.
-  On this machine, CS4232 driver should be used
Index: debian/alsa-utils/debian/patches/90_debian_alsaconf_paths.dpatch
diff -u /dev/null debian/alsa-utils/debian/patches/90_debian_alsaconf_paths.dpatch:1.1
--- /dev/null	Mon Sep  6 14:26:14 2004
+++ debian/alsa-utils/debian/patches/90_debian_alsaconf_paths.dpatch	Mon Sep  6 14:26:14 2004
@@ -0,0 +1,99 @@
+#!/bin/sh -e
+## 90_debian_alsaconf.dpatch by Jordi Mallach <jordi@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Set Debian-specific GID and permissions for ALSA devices.
+## DP: Use hardcoded paths for lspci and lsmod
+## DP: Write the configuration in the correct location.
+
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+       -patch) patch $patch_opts -p1 < $0;;
+       -unpatch) patch $patch_opts -p1 -R < $0;;
+        *)
+                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+                exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/jdthood/src/pkg-alsa/debian/alsa-utils/alsaconf/alsaconf.in alsa-utils/alsaconf/alsaconf.in
+--- /home/jdthood/src/pkg-alsa/debian/alsa-utils/alsaconf/alsaconf.in	2004-09-06 22:14:13.000000000 +0200
++++ alsa-utils/alsaconf/alsaconf.in	2004-09-06 22:14:53.000000000 +0200
+@@ -40,13 +40,6 @@
+   distribution="unknown"
+ fi
+ 
+-for prog in lspci lsmod; do
+-	for path in /sbin /usr/sbin /bin /usr/bin;do
+-		[[ -x $path/$prog ]] && eval $prog=$path/$prog
+-	done
+-done
+-unset prog path
+-
+ usage() {
+     echo "ALSA configurator version $version"
+     echo "usage: alsaconf [options]"
+@@ -506,7 +499,7 @@
+ /^[<literal space><literal tab>]*PCI: /{
+ 	gsub(/0x/, "");
+ 	gsub(/=/, ":");
+-	x = sprintf ("'$lspci' -n 2>/dev/null| grep '"' 0401: '"' | grep %s", $2);
++	x = sprintf ("'/usr/bin/lspci' -n | grep '"' 0401: '"' | grep %s", $2);
+ 	if (system (x) == 0)
+ 		printf "%s %s\n", $2, driver >>"'"$FOUND"'"
+ }
+@@ -537,7 +530,7 @@
+ #
+ find_device_name () {
+     if expr "$1" : '[0-9a-f][0-9a-f][0-9a-f][0-9a-f]:[0-9a-f][0-9a-f][0-9a-f][0-9a-f]' >/dev/null; then
+-	$lspci -d $1 2>/dev/null| sed -e 's/^.*:..\.. Multimedia audio controller: //g'
++	/usr/bin/lspci -d $1 2>/dev/null| sed -e 's/^.*:..\.. Multimedia audio controller: //g'
+ 	return
+     elif expr "$1" : '[A-Z@][A-Z@][A-Z@][0-9a-f][0-9a-f][0-9a-f][0-9a-f]' >/dev/null; then
+ 	cardname=`grep '^Card [0-9]\+ '\'$1':' $DUMP | head -n 1 | sed -e 's/^Card [0-9]\+ '\''.*:\(.*\)'\'' .*$/\1/'`
+@@ -735,7 +728,7 @@
+ ac_try_load () {
+     test $do_logging = 1 && echo "$1 ${*:2}" >> $LOGFILE
+     /sbin/modprobe snd-$1 ${*:2} >/dev/null 2>&1
+-    if $lsmod | grep -E '^(snd-|snd_)'$1' ' >/dev/null 2>&1; then
++    if /bin/lsmod | grep -E '^(snd-|snd_)'$1' ' >/dev/null 2>&1; then
+ 	: ;
+     else
+ 	modprobe -r snd-$1 >/dev/null 2>&1
+@@ -774,7 +767,7 @@
+ ac_try_capture () {
+     test $do_logging = 1 && echo "$1 ${*:2}" >> $LOGFILE
+     /sbin/modprobe snd-$1 ${*:3} >/dev/null 2>&1
+-    if $lsmod | grep -E '^(snd-|snd_)'$1' ' >/dev/null 2>&1; then
++    if /bin/lsmod | grep -E '^(snd-|snd_)'$1' ' >/dev/null 2>&1; then
+ 	: ;
+     else
+ 	modprobe -r snd-$1 >/dev/null 2>&1
+@@ -1130,7 +1123,7 @@
+     # check for TP600E
+     #
+     if [ ${devs_found[0]} = cs46xx ]; then
+-	if $lspci -nv 2>/dev/null| grep -q "Subsystem: 1014:1010"; then
++	if /usr/bin/lspci -nv 2>/dev/null| grep -q "Subsystem: 1014:1010"; then
+ 	    if $DIALOG --yesno "
+  Looks like you having a Thinkpad 600E or 770 notebook.
+  On this notebook, CS4236 driver should be used
+@@ -1143,7 +1136,7 @@
+ 		ac_config_legacy cs4236
+ 		exit 0
+ 	    fi
+-	elif $lspci -nv 2>/dev/null| grep -q "Subsystem: 8086:8080"; then
++	elif /usr/bin/lspci -nv 2>/dev/null| grep -q "Subsystem: 8086:8080"; then
+ 	    if $DIALOG --yesno "
+  Looks like you having a Dell Dimension machine.
+  On this machine, CS4232 driver should be used